Hierarch Asterios:
To become an Elven Wizard, your level must be at least 20 and you must pass the Test of the Elven Wizard. The Elf Rosella is in charge of testing young Elves who aspire to be Elven Wizards. If you want to know more about the test, go to her.
Remember, even if you earn the qualifications, we cannot change your occupation here. That is because we wish for young Elves to go out beyond the forest, to experience Human society and understand the larger world.
Therefore, if you wish to change occupations, you must leave the Elven Forest and go to the Human kingdom of Aden. The nearest place for a change of profession is Gludio, which is located in the south of the forest. If you follow the road and cross the Neutral Zone, you will cross a bridge and come to a Gludio Castle Town. Look for High Priest Raymond at the temple. He will change your occupation, if you are ready.
Return